import {
	WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/getHasRight', 'GET', params);
}

export const getRightMenu = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/getRightMenu', 'GET', params);
}

export const getTabs = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/getTabs', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/getSearchCondition', 'GET', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/getSearchList', 'POST', params);
}

export const saveBalanceOfLeave = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/saveBalanceOfLeave', 'POST', params);
}

export const batchProcessing = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/batchProcessing', 'POST', params);
}

export const hasLeaveRules = (params) => {
	return WeaTools.callApi('/api/kq/balanceofleave/hasLeaveRules', 'POST', params);
}

export const getDetailSearchList = (params) => {
	return WeaTools.callApi('/api/kq/balancedetail/getSearchList', 'GET', params);
}

export const getDetailBalanceForm = (params) => {
	return WeaTools.callApi('/api/kq/balancedetail/getBalanceForm', 'GET', params);
}

export const editBalance = (params) => {
	return WeaTools.callApi('/api/kq/balancedetail/editBalance', 'POST', params);
}

export const deleteBalance = (params) => {
	return WeaTools.callApi('/api/kq/balancedetail/deleteBalance', 'POST', params);
}